import { TemplateRef } from '@angular/core';
import { IgxHierarchicalGridComponent } from '../hierarchical-grid/hierarchical-grid.component';
export declare class IgxExcelTextDirective {
}
export declare class IgxCSVTextDirective {
}
/**
 * Provides a way to template the title portion of the toolbar in the grid.
 *
 * @igxModule IgxGridToolbarModule
 * @igxParent IgxGridToolbarComponent
 *
 * @example
 * ```html
 * <igx-grid-toolbar-title>My custom title</igx-grid-toolbar-title>
 * ```
 */
export declare class IgxGridToolbarTitleDirective {
    /**
     * Host `class.igx-grid-toolbar__title` binding.
     *
     * @hidden
     * @internal
     */
    cssClass: string;
}
/**
 * Provides a way to template the action portion of the toolbar in the grid.
 *
 * @igxModule IgxGridToolbarModule
 * @igxParent IgxGridToolbarComponent
 *
 * @example
 * ```html
 * <igx-grid-toolbar-actions>
 *  <some-toolbar-action-here />
 * </igx-grid-toolbar-actions>
 * ```
 */
export declare class IgxGridToolbarActionsDirective {
    /**
     * Host `class.igx-grid-toolbar__actions` binding.
     *
     * @hidden
     * @internal
     */
    cssClass: string;
}
export interface IgxGridToolbarTemplateContext {
    $implicit: IgxHierarchicalGridComponent;
}
export declare class IgxGridToolbarDirective {
    template: TemplateRef<IgxGridToolbarTemplateContext>;
    constructor(template: TemplateRef<IgxGridToolbarTemplateContext>);
}
