import { ElementRef, QueryList, EventEmitter } from '@angular/core';
/** @hidden */
export declare abstract class IgxTabsBase {
    selectedIndicator: ElementRef<any>;
    tabs: QueryList<IgxTabItemBase>;
    groups: QueryList<IgxTabsGroupBase>;
    offset: number;
    selectedIndex: number;
    viewPort: ElementRef;
    contentsContainer: ElementRef;
    tabsContainer: ElementRef;
    itemsContainer: ElementRef;
    headerContainer: ElementRef;
    tabItemSelected: EventEmitter<any>;
    hasContentTabs: boolean;
    abstract scrollElement(element: any, scrollRight: boolean): any;
    abstract performSelectionChange(newTab: IgxTabItemBase): any;
    abstract transformContentAnimation(tab: IgxTabItemBase, duration: number): any;
    abstract transformIndicatorAnimation(element: HTMLElement, duration?: number): any;
}
/** @hidden */
export declare abstract class IgxTabItemBase {
    abstract readonly nativeTabItem: ElementRef;
    get index(): number;
    select(): void;
    abstract setSelectedInternal(newValue: boolean): any;
}
/** @hidden */
export declare abstract class IgxTabsGroupBase {
    abstract select(): void;
    abstract setSelectedInternal(newValue: boolean): any;
}
